package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.DataSource;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 会议地点对象 hydd
 * 
 * @author ruoyi
 * @date 2024-10-30
 */
@Data
public class Hydd extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 区域 */
    @Excel(name = "区域")
    private String qy;

    /** 地点名称 */
    @Excel(name = "地点名称")
    private String ddmc;

    /** 备注 */
    @Excel(name = "备注")
    private String bz;

    private String text;


    private List<Hydd> children;

}
