package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 会议记录对象 hyjl
 * 
 * @author ruoyi
 * @date 2024-10-30
 */
@Data
public class Hyjl extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
//    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String dwid;
    @Excel(name = "单位")
    private String dwmc;

    /** $column.columnComment */
    @Excel(name = "参会人员")
    private String ryxx;

    /** $column.columnComment */
    @Excel(name = "参会地点")
    private String chdd;

    /** $column.columnComment */
    @Excel(name = "是否请假")
    private String sfqj;

    /** $column.columnComment */
    @Excel(name = "请假原因")
    private String qjyy;

    /** $column.columnComment */
//    @Excel(name = "", readConverterExp = "$column.readConverterExp()")
    private String bz;


    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "参会时间",dateFormat="yyyy-MM-dd")
    private Date cjsj;

    private String cjsj2;



    private String deptLx;
    private String dyryxx;
    private String wlmqryxx;
    private String klmyryxx;
    private String glqryxx;
    private String cfjdryxx;
    private String wehryxx;
    private String qjryxx;

}
