package com.ruoyi.system.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 人员信息对象 ryxx
 * 
 * @author ruoyi
 * @date 2024-10-30
 */
@Data
public class Ryxx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long dwid;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String dwmc;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 职务 */
    @Excel(name = "职务")
    private String zw;

    /** 东营办 */
    @Excel(name = "东营办")
    private String dyb;

    /** 新疆办 */
    @Excel(name = "新疆办")
    private String xjb;

    /** 东营手机号 */
    @Excel(name = "东营手机号")
    private String dysjh;

    /** 乌市手机号 */
    @Excel(name = "乌市手机号")
    private String wssjh;

    /** 账号1 */
    @Excel(name = "账号1")
    private String zh1;

    /** 账号2 */
    @Excel(name = "账号2")
    private String zh2;

    /** 备注 */
    @Excel(name = "备注")
    private String bz;

    /** 排序 */
    @Excel(name = "排序")
    private Long px;

    private List<Ryxx> children;

    private String text;

    private String lx;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDwid(Long dwid) 
    {
        this.dwid = dwid;
    }

    public Long getDwid() 
    {
        return dwid;
    }
    public void setDwmc(String dwmc) 
    {
        this.dwmc = dwmc;
    }

    public String getDwmc() 
    {
        return dwmc;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setZw(String zw) 
    {
        this.zw = zw;
    }

    public String getZw() 
    {
        return zw;
    }
    public void setDyb(String dyb) 
    {
        this.dyb = dyb;
    }

    public String getDyb() 
    {
        return dyb;
    }
    public void setXjb(String xjb) 
    {
        this.xjb = xjb;
    }

    public String getXjb() 
    {
        return xjb;
    }
    public void setDysjh(String dysjh) 
    {
        this.dysjh = dysjh;
    }

    public String getDysjh() 
    {
        return dysjh;
    }
    public void setWssjh(String wssjh) 
    {
        this.wssjh = wssjh;
    }

    public String getWssjh() 
    {
        return wssjh;
    }
    public void setZh1(String zh1) 
    {
        this.zh1 = zh1;
    }

    public String getZh1() 
    {
        return zh1;
    }
    public void setZh2(String zh2) 
    {
        this.zh2 = zh2;
    }

    public String getZh2() 
    {
        return zh2;
    }
    public void setBz(String bz) 
    {
        this.bz = bz;
    }

    public String getBz() 
    {
        return bz;
    }
    public void setPx(Long px) 
    {
        this.px = px;
    }

    public Long getPx() 
    {
        return px;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dwid", getDwid())
            .append("dwmc", getDwmc())
            .append("name", getName())
            .append("zw", getZw())
            .append("dyb", getDyb())
            .append("xjb", getXjb())
            .append("dysjh", getDysjh())
            .append("wssjh", getWssjh())
            .append("zh1", getZh1())
            .append("zh2", getZh2())
            .append("bz", getBz())
            .append("px", getPx())
            .toString();
    }
}
